#32/64

Name:           aqemu
Version:        0.9.4
Release:        %mkrel 3
Summary:        GUI to QEMU and KVM emulators, written in Qt4
Summary(de):    GUI für QEMU und KVM-Emulatoren, in Qt4 geschrieben
Group:          Emulators
License:        GPLv2
URL:            http://aqemu.sourceforge.net
Source0:        %{name}-%{version}.tar.xz
Patch0:         aqemu-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires: 	cmake
BuildRequires: 	ninja
BuildRequires:  gcc-c++ 
BuildRequires:  %{_lib}vncserver-devel
BuildRequires: 	%{_lib}qt5core-devel
BuildRequires:  %{_lib}qt5printsupport-devel
BuildRequires:  %{_lib}qt5network-devel
BuildRequires:  %{_lib}qt5test-devel
BuildRequires:  %{_lib}gnutls-devel
BuildRequires:  %{_lib}qt5widgets-devel
BuildRequires:  desktop-file-utils 
Requires: 	qemu


%description
AQEMU is GUI to QEMU and KVM emulators, written in Qt5. 
The program have user-friendly interface and allows to 
set up the majority of QEMU and KVM options. 

%description -l de
AQEMU ist GUI für Emulatoren QEMU und KVM, in Qt5 geschrieben. 
Das Programm hat ein benutzerfreundliches Interface und erlaubt 
die volljährige Einrichtung  der QEMU und KVM Optionen.

%prep
%setup
%apply_patches

# gcc10
sed -i 's|#include <vector>|#include <vector>\n#include <stdexcept>|' src/docopt/docopt_value.h

%build

%cmake -DCMAKE_INSTALL_PREFIX=/usr -DMAN_PAGE_COMPRESSOR=bzip2 -DDEBUG=1

%make


%install
rm -rf %buildroot

#installs the executable
install -d %{buildroot}%{_bindir}
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/build/%{name} %{buildroot}%{_bindir}

#installs the icon
install -d %{buildroot}%{_datadir}/pixmaps
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/resources/icons/%{name}.png %{buildroot}%{_datadir}/pixmaps/

#installs the hicolor icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_iconsdir}/hicolor
install -d %{buildroot}%{_iconsdir}/hicolor/16x16/apps
install -d %{buildroot}%{_iconsdir}/hicolor/32x32/apps
install -d %{buildroot}%{_iconsdir}/hicolor/48x48/apps
cp $RPM_BUILD_DIR/%{name}-%{version}/resources/icons/%{name}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/
cp $RPM_BUILD_DIR/%{name}-%{version}/resources/icons/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/
cp $RPM_BUILD_DIR/%{name}-%{version}/resources/icons/%{name}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/

#installs app folder
install -d %{buildroot}%{_datadir}/%{name}

#installs appdata
install -d %{buildroot}%{_datadir}/appdata
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/resources/menu_data/%{name}.appdata.xml %{buildroot}%{_datadir}/appdata/

#installs os_icons
install -d %{buildroot}%{_datadir}/%{name}/os_icons
cp -arv $RPM_BUILD_DIR/%{name}-%{version}/resources/os_icons/* %{buildroot}%{_datadir}/%{name}/os_icons

#installs os_templates
install -d %{buildroot}%{_datadir}/%{name}/os_templates
cp -arv $RPM_BUILD_DIR/%{name}-%{version}/resources/os_templates/* %{buildroot}%{_datadir}/%{name}/os_templates

#installs docs
install -d %{buildroot}%{_datadir}/%{name}/docs
cp $RPM_BUILD_DIR/%{name}-%{version}/resources/docs/links.html %{buildroot}%{_datadir}/%{name}/docs

#installs manual
install -d %{buildroot}%{_datadir}/man
install -d %{buildroot}%{_datadir}/man/man1
xz  $RPM_BUILD_DIR/%{name}-%{version}/resources/docs/aqemu.1
cp  $RPM_BUILD_DIR/%{name}-%{version}/resources/docs/%{name}.1.xz %{buildroot}%{_datadir}/man/man1/


#installs the .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=AQEMU
Comment=Virtual machine manager
Comment[de]=Virtual-Maschinen Manager
Exec=%{name}
Icon=%{name}.png
Terminal=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(755,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/*
%{_iconsdir}/*
%{_mandir}/man1/*

%changelog
* Thu Dec 29 2022 tex - 0.9.4-2pclos2022
- apply fix patch

* Mon Dec 19 2022 Agent Smith <ruidobranco@yahoo.com.br> 0.9.4-1pclos2022
- Since qemu was reinstated in the repos, I remade the package Aqemu, with latest sources.
- Added SED to work with GCC > 10
 

* Thu Mar 2 2017 Agent Smith <ruidobranco@yahoo.com.br> 0.9.2-1pclos2017 
- Created package, with latest sources. Added dependencies on Qt5 qt5core-devel, qt5printsupport-devel, 
- qt5network-devel, qt5test-devel, qt5widgets-devel, gnutls-devel, lib64vncserver-devel

* Wed Sep 04 2013 Agent Smith <ruidobranco@yahoo.com.br> 0.8.2-1pclos2013
- Added dependency of libqt4-devel, for both archs(32/64), updated the package with the latest source.

* Sat Jul 17 2010 maik3531 <maik3531 at yahoo.de> 0.8.0-1pclos2010
- build for PCLinuxOS

